AuMonitorDevice(3)

Name
AuMonitorDevice -

Synopsis
#include <audio/audiolib.h>

AuEventHandlerRec * AuMonitorDevice(server, sample_rate, input_device, output_device, volume, done_callback, callback_data, flow, volume_mult_element, monitor_element, status)
    AuServer *server;
    int sample_rate;
    AuDeviceID input_device;
    AuDeviceID output_device;
    AuFixedPoint volume;
    void (*done_callback) (AuServer *, AuEventHandlerRec *, AuEvent *, AuPointer);
    AuPointer callback_data;
    AuFlowID *flow; /* RETURN */
    int *volume_mult_element; /* RETURN */
    int *monitor_element; /* RETURN */
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

sample_rate
    Specifies the sample rate of the

input_device

output_device

volume

done_callback

callback_data

flow

volume_mult_element

monitor_element

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuMonitorDevice

Errors

See Also

audiolib - Network Audio System C Language Interface